tldextract(1)

NAME
tldextract - program to separate the generic or country code top-level domains from the registered domain and subdomains of a URL.

SYNOPSIS
tldextract [options] fqdn | url

DESCRIPTION
This manual page briefly documents the tldextract command.

OPTIONS
These programs follow the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

-h, --help
    Show summary of options.

--version
    Show version of program.

-u, --update
    Force fetch the latest TLD definitions.

-c,--cache-file CACHE_FILE
    Use an alternate TLD definition file.

-p,--private-domains
    Include private-domains.

SEE ALSO
For more information about tldextract see https://github.com/john-kurkowski/tldextract.